# retinex

Basic and multiscale retinex for colour image enhancement, see article:

Rahman, Zia-ur, Daniel J. Jobson, and Glenn A. Woodell. "Multi-scale retinex for color image enhancement." Image Processing, 1996. Proceedings., International Conference on. Vol. 3. IEEE, 1996.

## Example launch line

     gst-launch-1.0 videotestsrc ! videoconvert ! retinex ! videoconvert ! xvimagesink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVideoFilter
                            ╰──GstOpencvVideoFilter
                                ╰──retinex

## Factory details

Authors: – Miguel Casas-Sanchez <miguelecasassanchez@gmail.com></miguelecasassanchez@gmail.com>

Classification: – `Filter/Effect/Video`

Rank – none

Plugin – opencv

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: RGB
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: RGB
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### gain

    “gain” gint

Gain

Flags : Read / Write

Default value : 128

Since : 1.20

### method

    “method” Retinex-method *

Retinex method to use

Flags : Read / Write

Default value : basic (0)

### offset

    “offset” gint

Offset

Flags : Read / Write

Default value : 128

Since : 1.20

### scales

    “scales” gint

Amount of gaussian filters (scales) used in multiscale retinex

Flags : Read / Write

Default value : 3

### sigma

    “sigma” gdouble

Sigma

Flags : Read / Write

Default value : 14

Since : 1.20

## Named constants

### Retinex-method

#### Members

`basic` (0) – Basic retinex restoration
`multiscale` (1) – Mutiscale retinex restoration

The results of the search are